Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 539826 - dev-lang/lua-5.2 - targeting Windows skips DLL build, no EXE file extension
Summary: dev-lang/lua-5.2 - targeting Windows skips DLL build, no EXE file extension
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: William Hubbs
URL:
Whiteboard:
Keywords:
: 539828 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-02-11 22:53 UTC by tschwinger
Modified: 2019-03-18 21:44 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lua-539828-539826-combined_patch.zip (lua-539828-539826-combined_patch.zip,8.19 KB, application/zip)
2015-02-11 23:03 UTC, tschwinger
Details
Lua 5.1 slot ebuild. Pkg versioning only (no Windows fixes see closed #539828 for details) (lua-5.1.5-r100-r666.ebuild.diff,1.20 KB, patch)
2015-02-13 14:46 UTC, tschwinger
Details | Diff
Properly versioned pkgconfig (see closed #539828 for details) (luav.pc,692 bytes, text/plain)
2015-02-13 14:48 UTC, tschwinger
Details
Diff of pkgconfig files for illustration (see closed #539828 for details) (lua-luav.pc.diff,814 bytes, text/plain)
2015-02-13 14:53 UTC, tschwinger
Details
Lua 5.2 slot ebuild with Windows fixes (see also #539828) (lua-5.2.3-r1-r666.ebuild.diff,2.15 KB, patch)
2015-02-13 14:55 UTC, tschwinger
Details | Diff
Modified Lua 5.1 ebuild from my local overlay (lua-5.1.5-r666.ebuild,3.78 KB, text/plain)
2015-02-13 14:56 UTC, tschwinger
Details
Modified Lua 5.2 ebuild from my local overlay (lua-5.2.3-r666.ebuild,3.90 KB, text/plain)
2015-02-13 14:56 UTC, tschwinger
Details
Lua 5.1 slot ebuild. Pkg versioning only (no Windows fixes see closed #539828 for details) (lua-5.1.5-r100-r666.ebuild.diff,1.39 KB, patch)
2015-02-13 17:41 UTC, tschwinger
Details | Diff
Modified Lua 5.1 ebuild from my local overlay (lua-5.1.5-r666.ebuild,3.79 KB, text/plain)
2015-02-13 17:43 UTC, tschwinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tschwinger 2015-02-11 22:53:42 UTC
The ebuild has partial support for Windows and the static libraries build out of the box. 

There is no DLL and EXE files have no extension. See further information.

Reproducible: Always

Steps to Reproduce:
1.Cross-compile -> Windows (remove dependency to eselect-lua so it can work)
2.Look for DLL
3.Look for file extension of executable
Actual Results:  
The DLL is missing. 
Executables have no file name extension.

Expected Results:  
There is a DLL and an executable with an EXE file name extension.

Patch will be attached.
Comment 1 tschwinger 2015-02-11 23:03:09 UTC
Created attachment 396214 [details]
lua-539828-539826-combined_patch.zip

The ZIP contains altered files and diffs of all changed files in a flat folder.
The file 'ISSUES' summarizes the issues addressed. The file 'luav.pc' belongs into ./files of dev-lang/lua/.
Comment 2 tschwinger 2015-02-11 23:06:18 UTC
Comment on attachment 396214 [details]
lua-539828-539826-combined_patch.zip

Pardon. This bug *is* #539826
Comment 3 tschwinger 2015-02-11 23:14:50 UTC
CC seems to be maintainer of the ebuild
Comment 4 Jeroen Roovers gentoo-dev 2015-02-13 07:53:51 UTC
Comment on attachment 396214 [details]
lua-539828-539826-combined_patch.zip

Please attach plain text files.
Comment 5 Jeroen Roovers gentoo-dev 2015-02-13 07:55:59 UTC
*** Bug 539828 has been marked as a duplicate of this bug. ***
Comment 6 tschwinger 2015-02-13 14:46:23 UTC
Created attachment 396370 [details, diff]
Lua 5.1 slot ebuild. Pkg versioning only (no Windows fixes see closed #539828 for details)
Comment 7 tschwinger 2015-02-13 14:48:11 UTC
Created attachment 396372 [details]
Properly versioned pkgconfig (see closed #539828 for details)
Comment 8 tschwinger 2015-02-13 14:53:03 UTC
Created attachment 396374 [details]
Diff of pkgconfig files for illustration (see closed #539828 for details)

The patch introduces a new pkgconfig template file (luav.pc) because the original (lua.pc) is also used for older ebuilds. This diff is *not* part of the patch and provided for evaluation purposes.
Comment 9 tschwinger 2015-02-13 14:55:30 UTC
Created attachment 396376 [details, diff]
Lua 5.2 slot ebuild with Windows fixes (see also #539828)
Comment 10 tschwinger 2015-02-13 14:56:32 UTC
Created attachment 396378 [details]
Modified Lua 5.1 ebuild from my local overlay
Comment 11 tschwinger 2015-02-13 14:56:59 UTC
Created attachment 396380 [details]
Modified Lua 5.2 ebuild from my local overlay
Comment 12 tschwinger 2015-02-13 15:46:00 UTC
#539828 has been marked a duplicate of this bug. This is actually not quite correct, but I figure it may have pragmatic reasons.

I am attaching all files here.

Please note that #539828 affects the Linux distribution (not just when cross-targeting Windows) and thus has potentially higher priority.

Please also note that the patch changes the pkgconfig-reported location of the headers, which may cause some trouble in some (rather rare) cases, but is very a necessary change to get the slot builds for Lua finally straightened out: Both Autoconf and Cmake should be able to find consistent material for a particular version when looking for it. Other widely-used distros use the same locations. Finally, if some packages fail finding Lua, it's easier to track and fix than version mismatches (that may build and fail when run). I've been using these ebuilds for a while and haven't run into problems.
Comment 13 tschwinger 2015-02-13 17:41:42 UTC
Created attachment 396390 [details, diff]
Lua 5.1 slot ebuild. Pkg versioning only (no Windows fixes see closed #539828 for details)

Whoops had 5.1 and 5.2 ebuilds consistified without testing...
Comment 14 tschwinger 2015-02-13 17:43:11 UTC
Created attachment 396394 [details]
Modified Lua 5.1 ebuild from my local overlay